%define ver 3.18
%define rel 1mdk 

# /usr to be compatible with RH; but maybe /usr/X11R6 would be better...
%define prefix %{_prefix}

Summary: A Red Hat program launcher for the X Window System.
Name: control-panel
Version: %{ver}
Release: %{rel}
Copyright: GPL
Group: System/Configuration/Other
BuildRequires: XFree86-devel
Source: control-panel-%{ver}.tar.bz2
Source1: control-panel-3.11-pofiles.tar.bz2
Source2: control-panel.menu.bz2
Patch: control-panel-3.11-1-i18n.patch.bz2
BuildRoot: %{_tmppath}/control-panel-root

%description
The Red Hat control panel is an X program launcher for the
X Window System. Both convenient and pleasing, the Red Hat
control panel allows you easy access to numerous X-based
system administration tools included in your Red Hat Linux
system.

Eventually, you'll want to work with many of your system
administration tools; this package helps you locate and launch
many of them.

%prep
%setup -q

#%patch0 -p1 -b .i18n

%build
make

%install
rm -rf $RPM_BUILD_ROOT

#rm -rf /usr/lib/rhs/control-panel/loopy
mkdir -p $RPM_BUILD_ROOT%{_libdir}rhs/control-panel
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8
make DESTDIR=$RPM_BUILD_ROOT OWNER= install install-man install-pot
#mv $RPM_BUILD_ROOT%{_bindir}/control-panel $RPM_BUILD_ROOT%{prefix}/bin || :
mv $RPM_BUILD_ROOT/usr/man/man8/control-panel.8 \
   $RPM_BUILD_ROOT%{_mandir}/man8/control-panel.8 || :

tar jxvf %{SOURCE1}

(
 cd po/
 for i in *.po ; do
    mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale/`basename $i .po`/LC_MESSAGES
    msgfmt -o $RPM_BUILD_ROOT/%{_datadir}/locale/`basename $i .po`/LC_MESSAGES/control-panel.mo $i
 done
)

#install menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/%{_menudir}/control-panel

%{find_lang} %{name}

%post
%{update_menus}

%postun
%{clean_menus}


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_mandir}/*/*
%dir %{_libdir}/rhs/control-panel
%{_libdir}/rhs/control-panel/loopy
%attr(755,root,root) %{_libdir}/rhs/control-panel/dialog.tcl
%attr(755,root,root) %{_libdir}/rhs/control-panel/bindings.tcl
%config(noreplace) /etc/X11/applnk/System/control-panel.desktop
%{_menudir}/control-panel

%changelog
* Mon Jan 22 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.18-1mdk
- new source from the people at redhat.
- during build, use -j, not -y when uncompressing bzip2 through tar.

* Thu Jan 18 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 3.11-18mdk
- new/updated languages: Latvian, Azeri, Japanese, Georgian, Brazilian,
  Lithuanian

* Fri Sep 01 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 3.11-17mdk
- added new langs: Afrikaans, Romanian, Slovakian, Czech, Korean and Vietnamese

* Wed Aug 23 2000 Vincent Saugey <vince@mandrakesoft.com> 3.11-16mdk
- add find_lang maccro
- clean spec file

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.11-15mdk
- automatically added BuildRequires

* Fri Jul 28 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.11-14mdk
- fix very silly macro typo problem

* Fri Jul 28 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.11-13mdk
- macrosifications
- rebuild for the BM

* Sat Apr 29 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 3.11-12mdk
- Added new langs: Finnish, Danish, Italian, Slovenian, Lithuanian,
  Gaeilge, Greek and Icelandic

* Thu Mar 30 2000 DindinX <odin@mandrakesoft.com> 3.11-11mdk
- Fix group
- Added menu
- specs fixes

* Fri Mar 17 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- Added ca, eo, it languages

* Fri Jan 14 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.11-9mdk 
- corrected non root build.

* Tue Nov 16 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- Added gl, hr, hu, nl, pt, sk, tr languages

* Mon Nov 08 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- Added br, cy, de, et, fr, id, lt, no, pl, ro, ru, uk, zh_TW.Big5 languages

* Tue Nov 02 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- rebuild for new environmint

* Thu Jul 29 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- integrated changes from ObiTuarY <obituary@freshmeat.net>
  that improve the Makefile; also it could be installed under
  /usr/X11R6 by defining %%{prefix} accordingly

* Wed Jul 14 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added i18n support (well, the program has only two strings to
  translate... :) )
- added back descriptions from RH 5.2

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Mon Apr  5 1999 Bill Nottingham <notting@redhat.com>
- strip control-panel

* Wed Mar 17 1999 Michael Fulbright <drmike@redhat.com>
- quick hack so orientation change will work

* Tue Mar 09 1999 Michael Fulbright <drmike@redhat.com>
- fixed problem due to switching to gtk+ 1.2

* Tue Feb 23 1999 Michael Johnson <johnsonm@redhat.com>
- updated text
- moved to desktop files from wmconfig files

* Mon Dec 14 1998 Michael Johnson <johnsonm@redhat.com>
- fixed missing include files, updated to use gtk-config

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Wed May 06 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed May 06 1998 Erik Troan <ewt@redhat.com>
- included changes from rhad labs to update things for new gtk

* Sun Nov 09 1997 Michael K. Johnson <johnsonm@redhat.com>
- removed improper geometry handling

* Tue Nov  4 1997 Otto Hammersmith <otto@redhat.com>
- control panel now obeys the -geometry option

* Mon Nov  3 1997 Otto Hammersmith <otto@redhat.com>
- updated version... added bindings.tcl

* Thu Oct 30 1997 Otto Hammersmith <otto@redhat.com>
- added loopy files
- updated version

* Fri Oct 17 1997 Otto Hammersmith <otto@redhat.com>
- Replaced the tcl/tk version with a gtk+ version in C.  No longer
  noarch... gee, what a loss.

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- made a noarch package
